---
name: Bug report
about: Create a report to help us improve Electron Packager
labels: "bug :bug:"
---

### Preflight Checklist
<!-- Please ensure you've completed the following steps by replacing [ ] with [x]-->

* [ ] I have read the [contribution documentation](https://github.com/electron/electron-packager/blob/main/CONTRIBUTING.md) for this project.
* [ ] I agree to follow the [code of conduct](https://github.com/electron/electron/blob/main/CODE_OF_CONDUCT.md) that this project follows, as appropriate.
* [ ] I have searched the issue tracker for a bug that matches the one I want to file, without success.

### Issue Details

* **Electron Packager Version:**
  * <!-- (output of `node_modules/.bin/electron-packager --version`) e.g. 12.0.0 -->
* **Electron Version:**
  * <!-- (output of `node_modules/.bin/electron --version`) e.g. 4.0.3 -->
* **Operating System:**
  * <!-- (Platform and Version) e.g. macOS 10.13.6 / Windows 10 (1803) / Ubuntu 18.04 x64 -->
* **Last Known Working Electron Packager version:**:
  * <!-- (if applicable) e.g. 11.0.0 -->

### Expected Behavior
<!-- A clear and concise description of what you expected to happen. -->

### Actual Behavior
<!-- A clear and concise description of what actually happened. -->

### To Reproduce
<!--
Your best chance of getting this bug looked at quickly is to provide a MINIMAL REPOSITORY that can be cloned and run. Also include:
* if you are using the `electron-packager` CLI: the command line arguments you are passing
* if you are using the API the parameters are you passing to the `packager()` function
-->

### Additional Information
<!--
Add any other context about the problem here.

For example:
* Console output when you run electron-packager with the environment variable `DEBUG=electron-packager`. Please include the stack trace if one exists.
-->
